import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Report manager must be running
public class SchedulingExportReportPeriodically {

	public static void main(String[] args) {
		SchedulingExportReportPeriodically doScheduleExport = new SchedulingExportReportPeriodically();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("Report_Periodically", ScheduleObject.REPORTOBJ);
		sObj.setFileLocation("Account.rpt");
		sObj.setReportType(IExportConstants.DHTML);
		String exportLoc = sObj.pickDefaultExportLocation();

		sObj.setTaskOption(ScheduleObject.TIME_INTERVAL);
		/*** every 5 mins ****/
		sObj.setIntervalType(ScheduleObject.TIME);
		sObj.setTimeInterval(5); // export every 5 mins

		/*** every day ****/
		//		 sObj.setIntervalType(ScheduleObject.DAYS);
		//		 sObj.setDayInterval(1); // export everyday

		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sObj.setStartDate(calendar.getTimeInMillis());
		Calendar calendar2 = Calendar.getInstance();
		calendar2.add(Calendar.MINUTE, 26);
		sObj.setEndDate(calendar2.getTimeInMillis());
		sObj.setSendEmail(false);

		ScheduleModifier.addScheduleTask(sObj);
	}
}
